@import '../../../main-styles.scss';
.root{
    display: flex;
    width: 100%;
    position: relative;

    &:hover{
        .x-icon-button{
            opacity: 1;
            transform: scale(1);
        }

    }

    .x-icon-button{
        position: absolute;
        height: 34px;
        width: 34px;
        border-radius: 50%;
        background-color:$dark ;
        background-image: url('../../../assets/delete_icon.svg');
        background-repeat: no-repeat;
        background-position: center;
        right: -17px;
        top: -17px;
        transition: opacity 0.2s ease-in,tranform 0.2s ease-in;
        transform: scale(0);
        opacity: 0;
        cursor: pointer;

        &:hover{
            transform: scale(1.2);
    
        }
    }
    
}
.budget-item{
    display: flex;
    width: 100%;
    background-color: $light-grey;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;

    transition:  background-color 0.2s  ease-out; 
    &:hover{
        background-color: darken($light-grey ,2%);
    }

    .description{
        display: flex;
        flex-grow: 1;
        font-size: 18px;
        margin-left: 5px;
        align-items: center;

    }
    .amount{
        padding: 5px;
        border-radius: 3px;
    }
    &:hover{
        background-color: darken($light-grey ,10%);
    }

}

.expence{
    p{
        color: $red;
    }
    .amount{
        background-color: $light-red;
    }
}
.income{
    p{
        color: $green;
    }
    .amount{
        background-color: $light-red;
    }
}